NX Open C++ Reference Guide
|
Design electrode blank builder to create an electrode blank for the selected body. More...
Public Types | |
enum | BlankMaterial { BlankMaterialCopper, BlankMaterialGraphite } |
Represents the blank material option. More... | |
enum | BlankShape { BlankShapeBlock, BlankShapeCylinder, BlankShapeUndercut } |
Represents the electrode blank shape option. More... | |
enum | JointObject { JointObjectExtrude, JointObjectOffset, JointObjectNone } |
Represents the transition type between head bodies and the blank. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle of the joint object. | |
NXOpen::Assemblies::SelectComponent * | Blank () |
Returns the blank to be edited. | |
NXOpen::Matrix3x3 | BlankMatrix () |
Returns the blank matrix. | |
NXOpen::Expression * | BlendRadius () |
Returns the default blend radius of blended edges. | |
double | CrossLinesRatio () |
Returns the ratio of cross center lines. | |
NXOpen::Expression * | ExtensionHeight () |
Returns the default extension height between head bodies and the blank. | |
NXOpen::SelectBodyList * | HeadBodies () |
Returns the head bodies to be used to create a blank. | |
NXOpen::SelectFace * | JointFace () |
Returns the face to create a joint object between the blank and head bodies. | |
NXOpen::Tooling::ElectrodeBlankBuilder::JointObject | JointMethod () |
Returns the joint object type. | |
bool | KeepSize () |
Returns the option to keep size of the blank or not. | |
bool | KeepZValueInSameMSet () |
Returns the option to specify whether to keep the Z values of all blanks in the current machine set CSYS. | |
NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial | Material () |
Returns the material of the blank. | |
NXOpen::TaggedObject * | MsetPart () |
Returns the current machine set under which a blank is added. | |
NXOpen::TaggedObject * | MultiPositionBuilder () |
Returns the multi position builder. | |
NXOpen::Point3d | ReferenceCenter () |
Returns the blank reference point. | |
double | ReferencePointPrecision () |
Returns the precision of the reference coordinates in the machine set csys. | |
bool | Rename () |
Returns the option to use the part name management dialog box or not. | |
NXOpen::TaggedObject * | ReusablePartBuilder () |
Returns the reusable part builder. | |
NXOpen::Expression * | RotationAngle () |
Returns the rotation angle of blank. | |
bool | RoundCrossLinesPosition () |
Returns the option to round the position of cross lines or not. | |
void | SetBlankMatrix (const NXOpen::Matrix3x3 &matrix) |
Sets the blank matrix. | |
void | SetCrossLinesRatio (double ratio) |
Sets the ratio of cross center lines. | |
void | SetJointMethod (NXOpen::Tooling::ElectrodeBlankBuilder::JointObject jointMethod) |
Sets the joint object type. | |
void | SetKeepSize (bool keepSize) |
Sets the option to keep size of the blank or not. | |
void | SetKeepZValueInSameMSet (bool keepValue) |
Sets the option to specify whether to keep the Z values of all blanks in the current machine set CSYS. | |
void | SetMaterial (NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial material) |
Sets the material of the blank. | |
void | SetMsetPart (NXOpen::TaggedObject *mset) |
Sets the current machine set under which a blank is added. | |
void | SetMultiPositionBuilder (NXOpen::TaggedObject *builderTag) |
Sets the multi position builder. | |
void | SetReferenceCenter (const NXOpen::Point3d &point) |
Sets the blank reference point. | |
void | SetReferencePointPrecision (double precision) |
Sets the precision of the reference coordinates in the machine set csys. | |
void | SetRename (bool rename) |
Sets the option to use the part name management dialog box or not. | |
void | SetReusablePartBuilder (NXOpen::TaggedObject *builderTag) |
Sets the reusable part builder. | |
void | SetRoundCrossLinesPosition (bool round) |
Sets the option to round the position of cross lines or not. | |
void | SetShape (NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape shape) |
Sets the shape of the blank. | |
void | SetUniteBodies (bool unite) |
Sets the option to unite head bodies, the extension and the blank or not. | |
NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape | Shape () |
Returns the shape of the blank. | |
bool | UniteBodies () |
Returns the option to unite head bodies, the extension and the blank or not. | |
NXOpen::Expression * | XRefValue () |
Returns the X value of the blank origin in the current machine set coordinator. | |
NXOpen::Expression * | YRefValue () |
Returns the Y value of the blank origin in the current machine set coordinator. | |
NXOpen::Expression * | ZRefValue () |
Returns the Z value of the blank origin in the current machine set coordinator. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Design electrode blank builder to create an electrode blank for the selected body.
To create a new instance of this class, use Tooling::ElectrodeDesignCollection::CreateBlankBuilder
Default values.
Property | Value |
---|---|
Angle.Value |
0 |
BlendRadius.Value |
0 (millimeters part), 0 (inches part) |
ExtensionHeight.Value |
5 (millimeters part), 0.2 (inches part) |
JointMethod |
Extrude |
KeepSize |
0 |
KeepZValueInSameMSet |
0 |
Copper | |
ReferencePointPrecision |
1 |
Rename |
0 |
RotationAngle.Value |
0 |
RoundCrossLinesPosition |
0 |
Shape |
Block |
UniteBodies |
1 |
XRefValue.Value |
0 (millimeters part), 0 (inches part) |
YRefValue.Value |
0 (millimeters part), 0 (inches part) |
ZRefValue.Value |
0 (millimeters part), 0 (inches part) |
Created in NX8.0.0.
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::Angle | ( | ) |
Returns the angle of the joint object.
Created in NX8.0.0.
License requirements : None
NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::ElectrodeBlankBuilder::Blank | ( | ) |
Returns the blank to be edited.
Created in NX8.0.0.
License requirements : None
NXOpen::Matrix3x3 NXOpen::Tooling::ElectrodeBlankBuilder::BlankMatrix | ( | ) |
Returns the blank matrix.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::BlendRadius | ( | ) |
Returns the default blend radius of blended edges.
Created in NX9.0.0.
License requirements : None
double NXOpen::Tooling::ElectrodeBlankBuilder::CrossLinesRatio | ( | ) |
Returns the ratio of cross center lines.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::ExtensionHeight | ( | ) |
Returns the default extension height between head bodies and the blank.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ElectrodeBlankBuilder::HeadBodies | ( | ) |
Returns the head bodies to be used to create a blank.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Tooling::ElectrodeBlankBuilder::JointFace | ( | ) |
Returns the face to create a joint object between the blank and head bodies.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::ElectrodeBlankBuilder::JointObject NXOpen::Tooling::ElectrodeBlankBuilder::JointMethod | ( | ) |
Returns the joint object type.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::ElectrodeBlankBuilder::KeepSize | ( | ) |
Returns the option to keep size of the blank or not.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::ElectrodeBlankBuilder::KeepZValueInSameMSet | ( | ) |
Returns the option to specify whether to keep the Z values of all blanks in the current machine set CSYS.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial NXOpen::Tooling::ElectrodeBlankBuilder::Material | ( | ) |
Returns the material of the blank.
Created in NX8.0.0.
License requirements : None
NXOpen::TaggedObject* NXOpen::Tooling::ElectrodeBlankBuilder::MsetPart | ( | ) |
Returns the current machine set under which a blank is added.
Created in NX8.0.0.
License requirements : None
NXOpen::TaggedObject* NXOpen::Tooling::ElectrodeBlankBuilder::MultiPositionBuilder | ( | ) |
Returns the multi position builder.
Created in NX8.5.0.
License requirements : None
NXOpen::Point3d NXOpen::Tooling::ElectrodeBlankBuilder::ReferenceCenter | ( | ) |
Returns the blank reference point.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::ElectrodeBlankBuilder::ReferencePointPrecision | ( | ) |
Returns the precision of the reference coordinates in the machine set csys.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::ElectrodeBlankBuilder::Rename | ( | ) |
Returns the option to use the part name management dialog box or not.
Created in NX8.0.0.
License requirements : None
NXOpen::TaggedObject* NXOpen::Tooling::ElectrodeBlankBuilder::ReusablePartBuilder | ( | ) |
Returns the reusable part builder.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::RotationAngle | ( | ) |
Returns the rotation angle of blank.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::ElectrodeBlankBuilder::RoundCrossLinesPosition | ( | ) |
Returns the option to round the position of cross lines or not.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::ElectrodeBlankBuilder::SetBlankMatrix | ( | const NXOpen::Matrix3x3 & | matrix | ) |
Sets the blank matrix.
Created in NX8.5.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
matrix | blank matrix |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetCrossLinesRatio | ( | double | ratio | ) |
Sets the ratio of cross center lines.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
ratio | ratio |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetJointMethod | ( | NXOpen::Tooling::ElectrodeBlankBuilder::JointObject | jointMethod | ) |
Sets the joint object type.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
jointMethod | jointmethod |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetKeepSize | ( | bool | keepSize | ) |
Sets the option to keep size of the blank or not.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
keepSize | keepsize |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetKeepZValueInSameMSet | ( | bool | keepValue | ) |
Sets the option to specify whether to keep the Z values of all blanks in the current machine set CSYS.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
keepValue | keep z value in machine set or not |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetMaterial | ( | NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial | material | ) |
Sets the material of the blank.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
material | material |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetMsetPart | ( | NXOpen::TaggedObject * | mset | ) |
Sets the current machine set under which a blank is added.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
mset | the machine set part |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetMultiPositionBuilder | ( | NXOpen::TaggedObject * | builderTag | ) |
Sets the multi position builder.
Created in NX8.5.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
builderTag | multi position builder tag |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetReferenceCenter | ( | const NXOpen::Point3d & | point | ) |
Sets the blank reference point.
Created in NX8.5.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
point | blank position |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetReferencePointPrecision | ( | double | precision | ) |
Sets the precision of the reference coordinates in the machine set csys.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
precision | precision value |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetRename | ( | bool | rename | ) |
Sets the option to use the part name management dialog box or not.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
rename | rename |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetReusablePartBuilder | ( | NXOpen::TaggedObject * | builderTag | ) |
Sets the reusable part builder.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
builderTag | reusable part builder tag |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetRoundCrossLinesPosition | ( | bool | round | ) |
Sets the option to round the position of cross lines or not.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
round | round cross lines or not |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetShape | ( | NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape | shape | ) |
Sets the shape of the blank.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
shape | shape |
void NXOpen::Tooling::ElectrodeBlankBuilder::SetUniteBodies | ( | bool | unite | ) |
Sets the option to unite head bodies, the extension and the blank or not.
Created in NX8.0.0.
License requirements : nx_electrode_wizard ("NX Electrode Wizard")
unite | unite head, extension and blank together or not |
NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape NXOpen::Tooling::ElectrodeBlankBuilder::Shape | ( | ) |
Returns the shape of the blank.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::ElectrodeBlankBuilder::UniteBodies | ( | ) |
Returns the option to unite head bodies, the extension and the blank or not.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::XRefValue | ( | ) |
Returns the X value of the blank origin in the current machine set coordinator.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::YRefValue | ( | ) |
Returns the Y value of the blank origin in the current machine set coordinator.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::ZRefValue | ( | ) |
Returns the Z value of the blank origin in the current machine set coordinator.
Created in NX8.0.0.
License requirements : None